# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Pod-MinimumVersion
Version:	50
Release:	20.%{__distinit}%{__distvers}
Summary:	Perl version for POD directives used
License:	GPLv3+
URL:		http://user42.tuxfamily.org/pod-minimumversion/index.html
Source0:	http://search.cpan.org/CPAN/authors/id/K/KR/KRYDE/Pod-MinimumVersion-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
# Module Runtime
BuildRequires:	perl(IO::String) >= 1.02
BuildRequires:	perl(List::Util)
BuildRequires:	perl(overload)
BuildRequires:	perl(Pod::Parser)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(version)
# Script Runtime
BuildRequires:	perl(Getopt::Long)
# Test Suite
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Devel::StackTrace)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Test)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(IO::String) >= 1.02
# This module has been divided from perl-Perl-Critic-Pulp
Conflicts:	perl-Perl-Critic-Pulp < 49

%description
Pod::MinimumVersion parses the POD in a Perl script, module, or document,
and reports what version of Perl is required to process the directives in
it with pod2man etc.

%prep
%setup -q -n Pod-MinimumVersion-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc Changes
%{_bindir}/pod-minimumversion
%{perl_vendorlib}/Pod/
%{_mandir}/man1/pod-minimumversion.1*
%{_mandir}/man3/Pod::MinimumVersion.3*
%{_mandir}/man3/Pod::MinimumVersion::Parser.3*
%{_mandir}/man3/Pod::MinimumVersion::Report.3*

%changelog
* Mon Apr 16 2018 Paul Howarth <paul@city-fan.org> - 50-20
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Thu Sep 22 2016 Paul Howarth <paul@city-fan.org> - 50-16
- BR: perl-generators where available
- Simplify find command using -delete

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 50-11
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Tue Jun 26 2012 Paul Howarth <paul@city-fan.org> - 50-6
- Import from Fedora

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 50-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 50-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 50-3
- Perl mass rebuild

* Thu Apr 21 2011 Petr Pisar <ppisar@redhat.com> - 50-2
- Split from perl-Perl-Critic-Pulp, conficts with old perl-Perl-Critic-Pulp
  versions

* Wed Apr 06 2011 Petr Pisar <ppisar@redhat.com> - 50-1
- Specfile autogenerated by cpanspec 1.78
- Remove BuildRoot stuff
